﻿@model ASP.NET_MVC5_WebShopExample.Models.ViewModels.SpecificationEditViewModel
@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
<div class="form-horizontal">
    <h4>Specification of @Html.ActionLink(Model.Product.Name, "Edit", "Products", routeValues: new { id = Model.Product.ProductId }, htmlAttributes: null) </h4>
    <hr />
    @if (Model.SpecificationTypes != null)
    {
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Specification.ProductId)

        if(Model.BackUrl != null)
        {
            @Html.Hidden("backUrl", Model.BackUrl);
        }

        <div class="form-group">
            @Html.LabelFor(model => model.Specification.Value, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Specification.Value, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Specification.Value, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Specification.SpecificationTypeId, "SpecificationTypeId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model => model.Specification.SpecificationTypeId, Model.SpecificationTypes as SelectList, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Specification.SpecificationTypeId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    }
    else {
        @:<p>Before create specification, you should add at least one specification type for category of product or specification type without category (common specification type)<p>
        <p>Go to @Html.ActionLink("Specifictaion type list", "Index", "SpecificationTypes") page for add specification type to category of product or add specification type without category (common specification type)</p>
    }
</div>
}

<div>
    @if (Model.BackUrl == null)
    {
        @Html.ActionLink("Back to product", "Edit", "Products", new { id = Model.Product.ProductId }, null)
    }
    else
    {
        <a href="@Model.BackUrl">Back</a>
    }
    &nbsp;|&nbsp;
    @Html.ActionLink("Specifictaion types", "Index", "SpecificationTypes")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
